app package uses deprecated dh_pysupport

Bug #1214003 reported by Kyle Nitzsche on 2013-08-19
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
[obsolete] Ubuntu QtCreator Plugins
Wishlist
Zoltan Balogh

Bug Description

Using the beta Ubuntu SDK, I created a cordova html5 app in qtcreator by following the tutorial.

Then I ran Build > Ubuntu Touch > Create application package (this did create a sane looking debian/ in project).

Then, at the command line in my project root, I binary built the source package with 'debuild -uc-us'.

During build, the following deb helper (dh) output displayed:

[...]
  dh_installinfo
   dh_pysupport
dh_pysupport: This program is deprecated, you should use dh_python2 instead. Migration guide: http://deb.li/dhs2p
   dh_installinit
[...]

ubuntu-sdk version: 1.009~sdkppa~raring1~test6
qtcreator-plugin-ubuntu version: 2.7.1-0ubuntu1~raring1~test18

Zoltan Balogh (bzoltan) wrote :

The Cordova applications can and will be packaged in Click format. The .deb packaging is/was a temporally solution what actually worked out well.

We are not going to work on .deb packaging related issues unless they seriously block application development. What is very unlikely.

The QML Extension packaging is the only .deb packaging what for short time I try to support, but even that runs on low priority.

Changed in ubuntu-qtcreator-plugins:
status: New → Won't Fix
assignee: nobody → Zoltan Balogh (bzoltan)
importance: Undecided → Wishlist
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers